Subject: Re: Japanese Beetles, aaargh!

From: [email-masked] (Kate Maskar)
Date: 29 Mar 1995 22:25:30 GMT

The "bag-a-bug" scent lures do actually work. The trick, however, is to
hang them AWAY from the garden, so the beetles are attracted toward the
lure and off your plants. (Pay attention to prevailing winds when you
figure out where to hang it.) The beetles are also somewhat groggy in
the mornings and can be knocked off into a pail of soapy water pretty
easily. If you use both techniques diligently for a season, you will
usually get rid of enough beetles to reduce the population that
overwinters as grubs in the soil. That seemed to help in my garden's
second year (the first season I was crawling in beetles).

---

From: [email-masked] (Kate Maskar)
Date: 29 Mar 1995 22:25:30 GMT